> For the complete documentation index, see [llms.txt](https://docs-old.telematicssdk.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs-old.telematicssdk.com/response-codes/archive/back-end-to-app-integration/get-the-data-to-the-android-app/tracks/register-speed-violations-listener.md).

# Register speed violations listener

```
/**
* Register speed violations listener
*
* @param listener Speed violations
* @param speedLimitKmH speed limit in km per hour, must me >=1
* @param speedLimitTimeoutMs the time we give for driver to reduce speed before throwing violation, must be >= 1000
* @return true if listener registered
* @throws IllegalArgumentException if speedLimitKmH < 1
* @throws IllegalArgumentException if speedLimitTimeoutMs < 1000
*/
```

```
fun registerSpeedViolations(
       speedLimitKmH: Float,
       speedLimitTimeoutMs: Long,
       listener: SpeedViolationsListener
): Boolean
```

```
interface SpeedViolationsListener {
   void onSpeedViolation(SpeedViolation violation);
}
```

```
class SpeedViolation(
       val date: Long,
       val latitude: Double,
       val long: Double,
       val yourSpeed: Float,
       val speedLimit: Float
)
```

```
/**
* Unregister speed violations listener
*
* @return true if listener unregistered
*/fun unregisterSpeedViolations(): Boolean
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs-old.telematicssdk.com/response-codes/archive/back-end-to-app-integration/get-the-data-to-the-android-app/tracks/register-speed-violations-listener.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
